Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class PassageTally.TalliedVerse

    java.lang.Object
      org.crosswire.jsword.passage.PassageTally.TalliedVerse

All Implemented Interfaces:
  Comparable<PassageTally.TalliedVerse>

Enclosing class:
  PassageTally

    private static class PassageTally.TalliedVerse

extends Object
implements Comparable<PassageTally.TalliedVerse>

Hack to make this work with J2SE 1.1 as well as J2SE 1.2 This compared 2 Integers

Field Summary
`protected int` | `ord` The verse id
`protected int` | `tally` The rank of the verse

Constructor Summary
`PassageTally.TalliedVerse(int ord, int tally)` Convenience ctor to set the public variables

Method Summary
`int` | `compareTo(PassageTally.TalliedVerse that)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ord

    protected int ord

  The verse id

### tally

    protected int tally

  The rank of the verse

Constructor Detail

### PassageTally.TalliedVerse

    public PassageTally.TalliedVerse(int ord,
                                     int tally)

  Convenience ctor to set the public variables

  Parameters:
    `ord` - the verse id
    `tally` - the rank of the verse

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(PassageTally.TalliedVerse that)

  Specified by:
    `compareTo` in interface `Comparable<PassageTally.TalliedVerse>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD